Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 01 Oct 2014, 06:37
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Virtualization
VirtualBox for many Puppies
Post new topic   Reply to topic View previous topic :: View next topic
Page 7 of 13 [190 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13 Next
Author Message
sebus

Joined: 20 Jan 2012
Posts: 62

PostPosted: Sat 11 Feb 2012, 04:27    Post subject:  

Yes, LHP is 64-bit (very nice) and it does have VB "support"

Ofcourse on FD is not much of a problem to just compile the VB (I suppose not every user wants to do it)

sebus
Back to top
View user's profile Send private message 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Sun 12 Feb 2012, 16:07    Post subject:  

I've gone through and removed old VBox packages from my host. I've also decided that since it didn't generate any issues that I'm aware of, the newer package organization, with VBox itself separate from Puppy version-specific drivers, is the way ahead. The more ordinary packages (combined VBox and drivers) have been removed for both VBox 4.1.6 and 4.1.8. (That tidying-up did away with over 770 MB of redundant packages, all said and done.)

If anybody needs a copy for reference or any other reason, you can either send me a message or post a request for it. Otherwise, simply combining the "base" dot-pet and the drivers dot-pet for your Puppy will also produce more or less the same package, if you know how to do that.


Anyway, if any of my rearranging the furniture caused anybody any trouble, all things should be settled now, so go ahead and hit that refresh button or try it again!
Back to top
View user's profile Send private message Visit poster's website 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Sun 11 Mar 2012, 16:39    Post subject:  

Added a drivers package for Slacko 5.3.2.6 with kernel version "3.1.10-slacko_4gU"

Slacko 5326 is a beta/preview release. Use it only if you want a sneak peak ahead, or want to help test the new version. Do not yet use that Puppy version if you want a stable, official release.

Icyos was trying to get VBox up and running on 5324. I couldn't find any kernel sources or devx SFS for 5324, but could find it for 5326, so I made a package.

Note that this package is not for the PAE version of that release.
Back to top
View user's profile Send private message Visit poster's website 
CatDude


Joined: 03 Jan 2007
Posts: 1479
Location: UK

PostPosted: Sun 11 Mar 2012, 17:02    Post subject:  

Hello TheAsterisk!

TheAsterisk! wrote:
...I couldn't find any kernel sources or devx SFS for 5324....


You can find them here
Just do as 01micko said in this thread
and rename devx_slacko_5.3.2.1.sfs to devx_slacko_5.3.2.4.sfs

Hope this helps
Catdude
.

_________________

Back to top
View user's profile Send private message 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Sun 11 Mar 2012, 17:10    Post subject:  

CatDude wrote:
Hello TheAsterisk!

TheAsterisk! wrote:
...I couldn't find any kernel sources or devx SFS for 5324....


You can find them here
Just do as 01micko said in this thread
and rename devx_slacko_5.3.2.1.sfs to devx_slacko_5.3.2.4.sfs

Hope this helps
Catdude
.

Yes, CatDude, that does help! Sometimes, I feel like I can't read at all. Embarassed Thanks for the help!

I guess the version numbers (5321 versus 5324) and my impatience threw me off on the first go.

I suppose I'll make a package for that version as well, then!


EDIT: Package added for Slacko 5324.
Back to top
View user's profile Send private message Visit poster's website 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Wed 14 Mar 2012, 08:36    Post subject:  

Quick note regarding TaZoC and the scripts from LHP for installing 64-bit VBox:

Apparently, TaZoC is not well. (See this post.) I wasn't aware of that, but it would explain why I haven't heard from him.


Sorry to finally hear/read about that, TaZoC. Hope you can recover and get better soon.


Given that news, though, I think I'll try to download a few versions of LHP, and though I can't run the 64-bit versions on my systems, I can at least try to dig out the relevant scripts, etc., from the ISO images or packages, as the case may be. Maybe someone else can make something of them, or maybe they might even work as they are.
Back to top
View user's profile Send private message Visit poster's website 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Fri 16 Mar 2012, 14:10    Post subject:  

Updated to VirtualBox version 4.1.10.

More packages should be coming either later today or tomorrow, but the official, stable Puppy releases already have packages uploaded.
Back to top
View user's profile Send private message Visit poster's website 
shinobar


Joined: 28 May 2009
Posts: 2630
Location: Japan

PostPosted: Fri 23 Mar 2012, 22:40    Post subject: virtualbox-4.1.10.sfs  

virtualbox-4.1.10.sfs for Puppy 4.3.1 and most of Puppies 5.x including Lucid Puppy and Slacko.
Does not support 64-bit nor old Puppy's before 4.3.1.
Available from http://shino.pos.to/party/bridge.cgi?puppy/opt/

If you have ever installed another or older virtualbox PET/SFS and trying new, remove old ones and delete '/lib/modules/*/misc/vbox*.ko', /opt/VirtualBox, if they are exists, before loading the new.

virtualbox-4.1.10.sfs has kernel modules for:
2.6.21.7
2.6.25.16
2.6.30.5
2.6.31.14
2.6.32-smp
2.6.32-uni
2.6.32.28
2.6.32.55
2.6.33.2
2.6.37.6
2.6.39
2.6.39.4
3.0.17
3.0.7
3.1.10-slacko_4gA
3.1.10-slacko_paeA
3.1.10-dpup
3.2.11-dpup

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Sat 07 Apr 2012, 19:01    Post subject:  

UPDATED to version 4.1.12.

I've made packages for the new Wary and Racy 530/5.3 releases, but have not yet built packages for the older Wary/Racy 522 versions. Let me know if anyone wants those.
Back to top
View user's profile Send private message Visit poster's website 
Master_wrong

Joined: 19 Mar 2008
Posts: 456

PostPosted: Sun 15 Apr 2012, 04:47    Post subject:  

Thanks asterisk...

also here is the vbox addition and extension pack.
extension pack can be installed from terminal using virtualbox,
ie:
$virtualbox virtualbox.extension.pack.files

http://download.virtualbox.org/virtualbox/

_________________
Cluster-Pup v.2-Puppy Beowulf Cluster
http://www.murga-linux.com/puppy/viewtopic.php?p=499199#499199
Back to top
View user's profile Send private message 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Wed 18 Apr 2012, 10:34    Post subject:  

Master_wrong wrote:
Thanks asterisk...

also here is the vbox addition and extension pack.
extension pack can be installed from terminal using virtualbox,
ie:
$virtualbox virtualbox.extension.pack.files

http://download.virtualbox.org/virtualbox/

Huh. I didn't know you could install it from the command line. I've always done it through the GUI menu (File -> Preferences -> Extensions).

Anyway, the extension pack is also linked through my packages guide. Once you are on the page specific to your VBox version, at the bottom there's a link to "extras", and from there a link to the extension pack, guest additions ISO, user manual (online HTML & PDF), etc.
Back to top
View user's profile Send private message Visit poster's website 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Sun 29 Apr 2012, 06:22    Post subject:  

Updated to version 4.1.14.


If anybody would like me to make a "one-for-all" sort of SFS, with drivers for several of the more recent Puppies included- like shinobar has done with a few VirtualBox versions- let me know. The upload would take a little while, but it'd be easy enough to do.
Back to top
View user's profile Send private message Visit poster's website 
Kirsten-Duarte


Joined: 15 Oct 2011
Posts: 44

PostPosted: Tue 01 May 2012, 12:56    Post subject:  

I have issues with the VirtualBox 4.1.8.... I installed the pets correctly, as they were given here in this thread... but the kernel modules aren't being loaded, and with that, the vbox does not load either.

I get the warning that I have to check on SMP and everything, and I have to check with dmesg... once I do that, it indicates its trying to load the modules from multiple locations, but they are the wrong compile...
Back to top
View user's profile Send private message 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Wed 02 May 2012, 22:06    Post subject:  

Kirsten-Duarte wrote:
I have issues with the VirtualBox 4.1.8.... I installed the pets correctly, as they were given here in this thread... but the kernel modules aren't being loaded, and with that, the vbox does not load either.

I get the warning that I have to check on SMP and everything, and I have to check with dmesg... once I do that, it indicates its trying to load the modules from multiple locations, but they are the wrong compile...

While it's obvious that things haven't worked as they should for you, I'm afraid I can't quite tell what the specifics of your situation are.

I'll need a bit more info before I can try to help.

First, could you please tell me which version of Puppy you're running, and check the kernel version by typing
Code:
uname -r

into a terminal?

Second, could you try to launch virtualbox from the command line, and copy and post what it returns so that I can read it? (Pasting into a text file and attaching that might work better still.)
Back to top
View user's profile Send private message Visit poster's website 
TheAsterisk!


Joined: 10 Feb 2009
Posts: 403
Location: SE Wisconsin, US

PostPosted: Sun 06 May 2012, 20:46    Post subject:  

Slacko 533 (both regular and PAE kernels) packages added.

No VirtualBox version change.
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 7 of 13 [190 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Virtualization
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0893s ][ Queries: 13 (0.0079s) ][ GZIP on ]